{% extends 'crud/list.html' %}
{% load crispy_forms_tags %}
{% load crm_utils %}
{% load crm_pagination %}

{% block content %}
    {% block messages %}
            {% if messages %}
                {% for message in messages %}
                    {% if message.level == DEFAULT_MESSAGE_LEVELS.SUCCESS %}

                    {% endif %}
                {% endfor %}
    {% endif %}
    {% endblock %}

    {% block page_heading %}
        {{ block.super }}
    {% endblock %}
<div class="card shadow mb-4">
            <div class="card-header py-3">
              <h6 class="m-0 font-weight-bold text-primary">
                  <form id="searchForm" method="post" action="{% url 'search_cashbox' %}" class="form-inline">
                      {% csrf_token %}
                      {{ search_form|crispy }}
                      <button form="searchForm" class="btn btn-outline-info">Поиск</button>

                      {% if search_done %}
                        <a href="{% url 'sale_list' %}" class="btn btn-info" role="button">Сбросить результаты поиска</a>
                      {% endif %}
                  </form>
              </h6>
            </div>
            <div class="card-body">
              <div class="table-responsive">
                <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                  <thead>
                    <tr>
                      <th><input id="mass-choice" type="checkbox"></th>
                        <th>Дата создания</th>
                        <th>Клиент</th>
                        <th>Группа</th>
                        <th>Абонемент</th>
                        <th>Активация</th>
                        <th>Скидка</th>
                        <th>Рассрочка</th>
                        <th>Тип платежа</th>
                        <th>Стоимость продажи</th>
                      <th>Действия</th>
                    </tr>
                  </thead>
                  <tbody>
                  {% for cashbox in object_list %}
                      <tr>
                      <td>#</td>
                      <td>{{ cashbox.create_date }}</td>
                      <td>
                          <a href="{{ cashbox.client_link }}">{{ cashbox.get_client }}</a>
                      </td>

                      <td>
                        {% for group in cashbox.group.all %}
                            <span>{{ group }},</span>
                        {% endfor %}
                      </td>
                      <td>{{ cashbox.get_abonement }}</td>
                      <td>
                          {% if cashbox.get_activation is False %}
                              <i class="fa fa-times-circle"></i>
                              {% else %}
                                {{ cashbox.get_activation }}
                          {% endif %}

                      </td>
                      <td>
                        {% if cashbox.get_promotion is False %}
                            <i class="fa fa-times-circle"></i>
                            {% else %}
                                {{ cashbox.get_promotion }}
                        {% endif %}
                      </td>
                      <td>
                        {% if cashbox.get_installment is False %}
                            <i class="fa fa-times-circle"></i>
                            {% else %}
                                <i class="fa fa-check-circle"></i>
                        {% endif %}
                      </td>
                      <td>{{ cashbox.get_payment_type }}</td>
                      <td>
                          {% if cashbox.operation_type == 'REVOKE' %}
                            -{{ cashbox.price }}
                          {% else %}
                            {{ cashbox.price }}
                          {% endif %}
                      </td>

                      <!-- ДЕЙСТВИЯ -->
                      <td>
                        {% if cashbox.operation_type == 'SALE' %}

                             {% include 'utils/actions/sale/edit.html' with sale=cashbox.abonement %}
                             {% include 'utils/actions/sale/revoke.html' with sale=cashbox.abonement %}
                             {% include 'utils/actions/sale/delete.html' with sale=cashbox.abonement %}

                        {% elif cashbox.operation_type == 'INSTALLMENT' %}
                            {% include 'utils/actions/payments/delete.html' with payment_id=cashbox.payment_installment.id summ=cashbox.payment_installment.payment url="payment_delete"|reverso installment_id=cashbox.installment.id  %}

                        {% elif  cashbox.operation_type == 'REVOKE' %}
                            {% include 'utils/actions/revoke/delete.html' with abonement_name=cashbox.get_abonement sale_id=cashbox.abonement.id cashbox_id=cashbox.id %}
                        {% endif %}
                      </td>
                  </tr>
                  {% endfor %}
                      {% block create_modal %}
                            <!-- Modal -->
                            <div class="modal fade" id="createModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                              <div class="modal-dialog" role="document">
                                <div class="modal-content">
                                  <div class="modal-header">
                                    <h5 class="modal-title" id="exampleModalLabel"> Создать {{ create_name }}</h5>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                      <span aria-hidden="true">&times;</span>
                                    </button>
                                  </div>
                                  <div class="modal-body">
                                      <div id="error-alert" class="alert alert-danger" role="alert" style="display: none">
                                      </div>
                                      <form novalidate id="create-form" action="{% url 'sale_create' %}" method="post" enctype="multipart/form-data">
                                          {% csrf_token %}
                                          {{ create_form|crispy }}
                                      </form>

                                  </div>
                                  <div class="modal-footer">
                                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Закрыть</button>
                                    <button type="submit" id="create-submit" form="create-form" class="btn btn-primary">Сохранить</button>
                                  </div>
                                </div>
                              </div>
                            </div>
                            <!-- Modal -->
                            {% endblock %}
                  </tbody>
                </table>
    {% paginator %}
    {% load static %}

        <link rel="stylesheet" href="{% static 'select2/css/select2.css' %}">
    <script type="application/javascript" src="{% static 'select2/js/select2.full.js' %}"></script>
    <link rel="stylesheet" href="{% static 'select2/bootstrap/select2-bootstrap.css' %}">
    <script type="application/javascript" src="{% static 'custom/js/disable_numberfield_scroll.js' %}"></script>
    <script>


        // Костыль что бы понять есть ли у пользователя филиал или нет
        // Идея в том что в джанго форме есть поле которое заполняется по умолчанию, поле saled_by_departament
        // Для того что бы валидировать это поле стандартными средствами нужно что бы поле было в форме
        // Но т.к это поле должно автозаполнятся и валидироваться то принято решение скрывать его с помощью jq
        $('#id_saled_by_departament').hide()
        $('label[for=id_saled_by_departament]').hide()

        // Не работает меню аккаунта в этом шаблоне.
        // Костыль который делает это сам
        $(document).ready(function () {
            $('#userDropdown').click(function(){
            $('div[aria-labelledby=userDropdown]').addClass('show')
            $('#navItemDropDown').addClass('show')
        })
        })

        $("#id_client").select2({
        theme: 'bootstrap',
        placeholder: 'Начните вводить',
        allowClear: true,
        dropdownParent: $("#createModal")
    });
        $("#id_tutor1").select2({
        theme: 'bootstrap',
        placeholder: 'Начните вводить',
        allowClear: true,
        dropdownParent: $("#createModal")
    });

        $("#id_tutor2").select2({
        theme: 'bootstrap',
        placeholder: 'Начните вводить',
        allowClear: true,
        dropdownParent: $("#createModal")
    });

        $('#id_tutor1').on('select2:select', function (e) {
        var data = e.params.data;
        ajaxGetGroupsByTutor(data.id, $("#id_departament1").val(), 1)
    });

        $('#id_tutor2').on('select2:select', function (e) {
        var data = e.params.data;
        ajaxGetGroupsByTutor(data.id, $("#id_departament2").val(), 2)
    });

        $('#id_client').on('select2:select', function (e) {
            let client = e.params.data
            ajaxGetLastAbon(client.id)
            ajaxGetLastPromotion(client.id)
        })

    // SEARCH CONTROL

    </script>
{% endblock %}

{% block custom_includes %}
    {% load static %}
    {{ block.super }}
    <script src="{% static 'sb_admin/vendor/jquery/jquery.min.js' %}"></script>
    <script src="{% static 'sb_admin/vendor/bootstrap/js/bootstrap.bundle.min.js' %}"></script>
    <script src="{% static 'custom/js/miltiplyCheckboxesChoice.js' %}"></script>
    <link rel="stylesheet" href="{% static 'custom/css/bootstrap-multiselect.css' %}">
    <script src="{% static 'custom/js/bootstrap-multiselect.js' %}"></script>
    <script src="{% static 'custom/js/sales/formLogic.js' %}"></script>
{#    <script src="{% static 'custom/js/revoke_sale.js' %}"></script>#}
{% endblock %}
